Estimate mint params
curl --request GET \
--url https://mint-manager.namespace.ninja/api/v1/mint/estimateimport requests
url = "https://mint-manager.namespace.ninja/api/v1/mint/estimate"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mint-manager.namespace.ninja/api/v1/mint/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"canMint": true,
"estimatedPriceEth": 0.01,
"estimatedFeeEth": 0.002,
"isStandardFee": true,
"validationErrors": [
"SUBNAME_TAKEN",
"MINTER_NOT_WHITELISTED"
]
}Mint API
Estimate mint params
Estimate the price, fee, and eligibility for an ENS subname mint.
GET
/
api
/
v1
/
mint
/
estimate
Estimate mint params
Query Parameters
The parent name (e.g., domain) under which the label will be minted.
Required string length:
3 - 100Example:
"example.eth"
The label or subname to be minted under the parent name.
Required string length:
1 - 100Example:
"subname"
Ethereum address of the minter.
Example:
"0x1234567890abcdef1234567890abcdef12345678"
Indicates whether the operation is on a sepolia testnet.
Example:
true
Response
Estimated price, fee, and validation status for requested subname.
Indicates if the subname can be minted.
Example:
true
Estimated price in ETH for the minting operation.
Example:
0.01
Estimated protocol/platform fee in ETH.
Example:
0.002
Indicates whether the estimated fee is a standard fixed fee.
Example:
true
List of validation error types if minting is not allowed.
Available options:
SUBNAME_TAKEN, MINTER_NOT_TOKEN_OWNER, MINTER_NOT_WHITELISTED, LISTING_EXPIRED, SUBNAME_RESERVED, VERIFIED_MINTER_ADDRESS_REQUIRED Example:
["SUBNAME_TAKEN", "MINTER_NOT_WHITELISTED"]
Was this page helpful?

